Subject: Re: setup testers wanted
From: Robert Collins <[email-masked]>
To: Joshua Franklin <[email-masked]>
Cc: [email-masked]
Date: 02 Nov 2001 12:25:21 +1100

On Fri, 2001-11-02 at 11:49, Joshua Franklin wrote:
> I didn't say I was going to test, but here are my
> thoughts:
> 
> I found a bug:
...

Did you read my email and the email of the other folk who tried this
out?
This is the same bug as has been reported twice. Yours is the third
report. Or in other words - it's a 'me too'.

> Also, this pertains to what I say below, but
> shellutils really ought to be in "base" so
> /etc/profile can do $(id -un)

This is a packaging issue, setup.exe is data driven -
http://www.cygwin.com/ml/cygwin/2001-11/msg00055.html
 
> Shouldn't everything in "base" be installed by
> default, at least the first time?

Actually every in "Required" is always installed and cannot be removed.
The interesting fact that there is nothing in Required is the reason you
don't see this behaviour.
 
EVERYTHING after here is off-topic for setup.exe testing. It's purely a
data issue.

> I also don't like several things about the packages as
> organized in setup.ini
> First, there are extra or confusing categories system
> which we can do without. For example:
> 
> 1. What is the difference between "net" and "web"?
> wget is apparently a "web" program, while openssh
> (including clients) is "net"? Combine the categories.

web == http
net == non http. 

I don't agree that these should be combined. However I'm not too
concerned if they are. 

> 2. The "shells" category is superfluous. ash and base
> are part of "base" and sh-utils probably should be.
> One can get by fine without rxvt or tcsh, but unless
> someone is porting zsh, pdksh, etc they'd not be too
> much.

rxvt and tcsh are not part of base, and should not be. Where do you
suggest they go if not in shells?

> 4. I would love more documentation packages, but just
> newlib-man doesn't cut it. Put it in devel.

It is a documentation package isn't it? Or are you objecting to a
category with one package listed?

> f. Unless those man pages in base are preformatted (in
> which case they should be in catx, not manx), it's not
> going to do a lot of good without groff. 

Good point.
 
> Second, I liked Earnie Boyd's definition of a "base"
> system
> 
> http://www.cygwin.com/ml/cygwin/2001-02/msg01111.html
> 
> though you now need ncurses and gettext as well to use
> vim. This will get newbies up and running instead of
> "I installed everything in 'base', but I can't find
> any [text editor|pager|awk]"

Note that base != user friendly install. Base is the core stuff required
for cygwin to work. Everything else gets pulled in by dependencies.
ncurses is _not_ a base package. It's completely optional, as is vim.
 
> Lastly, I think the description of rxvt is misleading.
> It sounds like you need X11, and doesn't highlight at
> all it's small size or that it can replace the DOS
> window.

Good point. 
 
> I'd love to help with organizing a better heirarchy.

Here's what you need to do. Subscribe to cygwin-apps - the list for
package maintainers and those interested in discussing those
applications. Then read the archives, (also check cygwin-dev archives)
and come to understand setup.hint files and packaging requirements. At
that point feedback will be very useful to the various maintainers.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/